#### Table of Contents

1. [Post installation script for Debian Sid](#post_install_sid.sh)
    * [System tools for shell](#system-tools-for-shell)
    * [Office tools for shell](#office-tools-for-shell)
    * [Manpages - Documentation](#manpages-documentation)

## post_install_sid.sh
Script to complete the installation of Debian Sid on my laptop.

#### Apt configuration

##### preferences files
* Use apt/preferences.d directory from git repository to provide the preferences.d system directory.
* Default preferences: Sid < Stretch < Stable < Old-stable < Experimental
* Iceweasel/Icedove preferences: Experimental

##### sources-list files
* Use sources-list.d directory from git repository to provide the sources-list.d system directory.
* Add Wheezy (official + backports), Jessie (official + backports), Stretch (official), Sid (official + multimedia) and Experimental (official) repositories.

#### System tools for shell

##### Remove
* bluetooth packages (bluetooth, bluez)

##### Configuration
* Disable Openvpn service.
  * Useful in case of many configuration files. A default vpn is launch by "post-up" instruction in '/etc/network/interfaces' file:
```sh
allow-hotplug enp0s25
iface enp0s25 inet dhcp
  post-up openvpn /etc/openvpn/XYZ_tunnel.conf
```

#### Office tools for shell

#### Add
* cups
  * Common UNIX Printing System(tm) - PPD/driver support, web interface.
* devtodo
  * Manipulate and display a hierarchical and prioritised list of tasks.
* graphviz
  * Rich set of graph drawing tools.
* imagemagick
  * ImageMagick is a software suite to create, edit, and compose bitmap images. It can read, convert and write images in a variety of formats.
* imagemagick-doc
  * Document files of ImageMagick.
* odt2txt
  * Simple converter from OpenDocument Text to plain text.
  * Used with lesspipe for example.
* pdftk
  * PDFtk is a simple tool for doing everyday things with PDF documents.
* texlive
  * A decent selection of the TeX Live packages
* texlive-latex-extra
  * A very large collection of add-on packages for LaTeX.
* vim-latexsuite
  * View, edit and compile LaTeX documents from within Vim.
  * Activation in vim:
```vim
vim-addons install latex-suite
```

##### Remove
* avahi-daemon
  * Avahi allows programs to publish and discover services and hosts running on a local network with no specific configuration.
* cups-browsed
  * Browses the Bonjour broadcasts of shared remote CUPS printers and makes the printers available locally.

##### Configuration
* Add the standard user to lpadmin group to be able to manage Cups administration via webgui.


#### Network share

##### Add
* keychain
* knockd : small port-knock daemon.
* nfs-common : NFS client. Useful network protocol for sharing between linux OS.
* openssh-server : Secure SHell (SSH) server, for secure access from remote machines.

##### Remove
* nfs-kernel-server : NFS server. Useful network protocol for sharing between linux OS.
* samba : SMB/CIFS file, print and login server for Unix. One of the only Windows compatible protocole.

##### Configuration
* Disable nfs-kernel-server service if still available.
* Disable all samba service if still availables.

#### Desktop tools - GUI

##### Add
* ttf-ancient-fonts : Unicode font for many symbols. See https://en.wikipedia.org/wiki/Emoji#Blocks

#### Manpages - Documentation

##### Add
* info package
